#!/usr/local/bin/ruby
require 'socket'

host = "sl00.jaist.ac.jp"
port = 8888
command = 'gui.exe --gtp'

if ( command == '' )
	# コマンドが空ならコンソールとキーボードを接続
	out = $stdout
	inn = $stdin
else
	io = IO.popen(command, "r+")
	out = io
	inn = io
end

TCPSocket.open(host, port) { |socket|
	while line = socket.gets
		out.print(line)
		res = ''
		while ( r = inn.gets )
			res += r;
			break if ( r.chomp == '' ) # 空行なら終了
		end
		# out.puts "<<'#{res}'" # デバッグ用
		puts "<<'#{res}'" # デバッグ用
		socket.print res
	end
}
